gconfmm: Gnome::Conf::Schema Class Reference

gconfmm 2.28.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions
Gnome::Conf::Schema Class Reference
Collaboration diagram for Gnome::Conf::Schema:
[legend]

List of all members.

## Public Member Functions
| Schema ()
| Schema (GConfSchema* castitem, bool make_a_copy=false)
| Schema (const Schema& src)
Schema& | operator= (const Schema& src)
| ~Schema ()
GConfSchema* | gobj ()
const GConfSchema* | gobj () const
GConfSchema* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
void | set_type (ValueType type)
void | set_list_type (ValueType type)
void | set_car_type (ValueType type)
void | set_cdr_type (ValueType type)
void | set_locale (const std::string& locale)
void | set_short_desc (const Glib::ustring& desc)
void | set_long_desc (const Glib::ustring& desc)
void | set_owner (const Glib::ustring& owner)
void | set_default_value (const Value&value)
ValueType | get_type () const
ValueType | get_list_type () const
ValueType | get_car_type () const
ValueType | get_cdr_type () const
std::string | get_locale () const
Glib::ustring | get_short_desc () const
Glib::ustring | get_long_desc () const
Glib::ustring | get_owner () const
Value | get_default_value () const
## Protected Attributes
GConfSchema* | gobject_
## Related Functions
(Note that these are not member functions.)
Gnome::Conf::Schema | wrap (GConfSchema* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Gnome::Conf::Schema::Schema | ( |  | ) |

Gnome::Conf::Schema::Schema | ( | GConfSchema * | castitem,
|  | bool | make_a_copy = `false`
| ) |  | `[explicit]`

Gnome::Conf::Schema::Schema | ( | const Schema& | src | ) |

Gnome::Conf::Schema::~Schema | ( |  | ) |

## Member Function Documentation

ValueType Gnome::Conf::Schema::get_car_type | ( |  | ) | const

ValueType Gnome::Conf::Schema::get_cdr_type | ( |  | ) | const

Value Gnome::Conf::Schema::get_default_value | ( |  | ) | const

ValueType Gnome::Conf::Schema::get_list_type | ( |  | ) | const

std::string Gnome::Conf::Schema::get_locale | ( |  | ) | const

Glib::ustring Gnome::Conf::Schema::get_long_desc | ( |  | ) | const

Glib::ustring Gnome::Conf::Schema::get_owner | ( |  | ) | const

Glib::ustring Gnome::Conf::Schema::get_short_desc | ( |  | ) | const

ValueType Gnome::Conf::Schema::get_type | ( |  | ) | const

GConfSchema* Gnome::Conf::Schema::gobj | ( |  | ) | `[inline]`

const GConfSchema* Gnome::Conf::Schema::gobj | ( |  | ) | const`[inline]`

GConfSchema* Gnome::Conf::Schema::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Schema& Gnome::Conf::Schema::operator= | ( | const Schema& | src | ) |

void Gnome::Conf::Schema::set_car_type | ( | ValueType | type | ) |

void Gnome::Conf::Schema::set_cdr_type | ( | ValueType | type | ) |

void Gnome::Conf::Schema::set_default_value | ( | const Value& | value | ) |

void Gnome::Conf::Schema::set_list_type | ( | ValueType | type | ) |

void Gnome::Conf::Schema::set_locale | ( | const std::string & | locale | ) |

void Gnome::Conf::Schema::set_long_desc | ( | const Glib::ustring & | desc | ) |

void Gnome::Conf::Schema::set_owner | ( | const Glib::ustring & | owner | ) |

void Gnome::Conf::Schema::set_short_desc | ( | const Glib::ustring & | desc | ) |

void Gnome::Conf::Schema::set_type | ( | ValueType | type | ) |

## Friends And Related Function Documentation

Gnome::Conf::Schema wrap | ( | GConfSchema * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GConfSchema* Gnome::Conf::Schema::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gconfmm/schema.h